Loading...
Searching...
No Matches
coap_mutex_internal.h File Reference

CoAP mutex mechanism wrapper. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | coap_mutex_init(a)
#define | coap_mutex_destroy(a)
#define | coap_mutex_lock(a)
#define | coap_mutex_trylock(a)
#define | coap_mutex_unlock(a)
#define | coap_thread_pid_t int
#define | coap_thread_pid 1

## Typedefs

typedef int | coap_mutex_t

## Detailed Description

CoAP mutex mechanism wrapper.

Definition in file coap_mutex_internal.h.

## Macro Definition Documentation

## coap_mutex_destroy

#define coap_mutex_destroy | ( |  | a | ) |

Value:
*(a) = 0

Definition at line 144 of file coap_mutex_internal.h.

## coap_mutex_init

#define coap_mutex_init | ( |  | a | ) |

Value:
*(a) = 0

Definition at line 143 of file coap_mutex_internal.h.

## coap_mutex_lock

#define coap_mutex_lock | ( |  | a | ) |

Value:
*(a) = 1

Definition at line 145 of file coap_mutex_internal.h.

## coap_mutex_trylock

#define coap_mutex_trylock | ( |  | a | ) |

Value:
*(a) = 1

Definition at line 146 of file coap_mutex_internal.h.

## coap_mutex_unlock

#define coap_mutex_unlock | ( |  | a | ) |

Value:
*(a) = 0

Definition at line 147 of file coap_mutex_internal.h.

## coap_thread_pid

#define coap_thread_pid 1

Definition at line 149 of file coap_mutex_internal.h.

## coap_thread_pid_t

#define coap_thread_pid_t int

Definition at line 148 of file coap_mutex_internal.h.

## Typedef Documentation

## coap_mutex_t

typedef int coap_mutex_t

Definition at line 141 of file coap_mutex_internal.h.